;	*******************************************************
;	 "REM >=xdrv" redirects the tape-io to your ext.driver
;	*******************************************************
;	!!!   it works only with implemented M1NOT circuit  !!!
;	*******************************************************
;
	.org 256*PP	; where $80 <= PP < $C0
;
;	=======================================================
;
;	if these vectors are not present, then the SPONZY shows
;	the following error message: "J Invalid I/O device,"
;
xdrv_mem
	jp wr_XByte	; to write a byte to external driver
	;		  on entry: A reg. = value to write
	;		  on exit:  CY flag = '1', if success
	;		
	jp CloseFile	; to close an opened (for write) file
	;		  it is called at the end of "SAVE"
	;		  on entry: -
	;		  on exit:  CY flag = '1', if success
	;
	jp rd_XByte	; to read a byte from external driver
	;		  on entry: -
	;		  on exit:  CY flag = '1', if success
	;			    A reg. = the read value
;
;	during these calls SPONZY is in FAST mode
;
;	you must preserve the content of the complete alt. reg.
;	set and the index registers (IX,IY,AF',BC',DE',HL')
;	=======================================================
;
xdrv_init
	out ($FD),a	; switch NMI off!
	;
			;
	PageOrCopy	; page in or copy the SPONZY ROM to
			; 0-16K memory region
	;
	ld hl,xdrv_mem	; set the first invalid ram location
	ld b,0		; (for SPONZY) and the cold start flag
	;
	jp $11e5	; then start SPONZY without ram check
;
;	=======================================================
;
wr_XByte
rd_XByte
	; check if there is an open file
	;
	;
	; if not, then call your file manager
	; in this case, I recommend the following steps:
OpenAFile
	ld (TEMP_SP),sp	; switch to your own stack
	ld sp,own_stack	;
	;
	ex af,af'	; save all the alternate registers
	push af		;
	exx		;
	push bc		;
	push de		;
	push hl		;
	;
	push ix		; and the index register
	;
	call $1297	; SW_SLOW routine
	;
	call FileMan	; your file manager
	;
	call $054c	; SW_FAST routine
	;
	pop ix		; restore the index register
	;
	pop hl		;
	pop de		;
	pop bc		;
	exx		;
	pop af		;
	ex af,af'	; and all the alternate registers
	;
	ld sp,(TEMP_SP)	; restore the original stack
	;
	;
rd_XByte_end
	; after the reading, check the EOF and close the file
	; if it is necessary - the SPONZY does not do it
	; 
.end
